# -*- encoding : utf-8 -*-

class Admin::PUtilisationsController < ApplicationController
  layout "admin"
  before_action :auth_admin

  before_action :admin_space
  
  def admin_space
    @admin_space = "stocks"
  end
  
  def index
    @p_utilisations = PUtilisation.all

    @p_utilisations = sort_by_sorting(@p_utilisations, "id DESC")
    respond_to do |format|
      format.html{
      
        params[:search][:per_page] = params[:search][:per_page] || 100
        per_page = params[:search][:per_page]
        page = (params[:page] and params[:page] != "") ? params[:page] : 1 
        @p_utilisations = @p_utilisations.page(page).per(per_page)
      
      }
    end
  end

  def show
    @p_utilisation = PUtilisation.find(params[:id])

  end

  def new
    @p_utilisation = PUtilisation.new
  
  end

  def edit
    @p_utilisation = PUtilisation.find(params[:id])
    
  end

  def create
    @p_utilisation = PUtilisation.new(params.require(:p_utilisation).permit!)

    if @p_utilisation.save
      
    else
      render action: "new"
 
    end

  end


  def update
    @p_utilisation = PUtilisation.find(params[:id])


    if @p_utilisation.update_attributes(params.require(:p_utilisation).permit!)
      
    else
     render action: "edit" 
      
    end
      
  end


  def destroy
    @p_utilisation = PUtilisation.find(params[:id])
    @p_utilisation.destroy
    
  end
end
